%global gem_name term-ansicolor

Summary:        Ruby library that colors strings using ANSI escape sequences
Name:           rubygem-%{gem_name}
Version:        1.2.2
Release:        3%{?dist}
Group:          Development/Languages
License:        GPLv2
URL:            http://term-ansicolor.rubyforge.org
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(release)
Requires:       ruby(rubygems)
Requires:       rubygem(tins) => 0.8
Requires:       rubygem(tins) < 1
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(minitest)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
Small Ruby library that colors strings using ANSI escape sequences.


%prep
%setup -q -c  -T
%gem_install -n %{SOURCE0}


%build


%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# removing cdiff and decolor due to file conflict with colordiff package
# mkdir -p %{buildroot}%{_bindir}
# cp -pa .%{_bindir}/* \
#         %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
rm -f %{buildroot}%{gem_instdir}/bin/cdiff
# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find $RPM_BUILD_ROOT%{gem_dir} \( -name '*.rb' -o -name 'Rakefile' \) \
        -exec grep -q '^#!' '{}' \; -print |while read F
do
        awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
        touch -r $F chopped
        mv chopped $F
done


%clean
rm -rf $RPM_BUILD_ROOT

%check
pushd %{buildroot}%{gem_instdir}
testrb -Ilib tests/*
popd

%files
%defattr(-,root,root,-)
%dir %{gem_instdir}
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/VERSION
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/tests
%doc %{gem_instdir}/README.rdoc
#%doc %{gem_instdir}/doc-main.txt
%doc %{gem_instdir}/term-ansicolor.gemspec
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/.gitignore
%{gem_instdir}/Rakefile
#%{gem_instdir}/*.rb
%{gem_libdir}/
%{gem_instdir}/bin/
%{gem_instdir}/.travis.yml
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}


%changelog
* Fri Aug 23 2013 Vít Ondruch <vondruch@redhat.com> - 1.2.2-3
- Add rubygem-tins dependency (rhbz#972544).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 23 2013 Vít Ondruch <vondruch@redhat.com> - 1.0.7-6
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.7-3
- Rebuilt for Ruby 1.9.3.
- Introduced %%check section for running tests.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 15 2011 Jan Klepek <jan.klepek at, gmail.com> - 1.0.7-1
- updated to latest version

* Sat Jul 23 2011 Jan Klepek <jan.klepek at, gmail.com> - 1.0.6-2
- removed cdiff/decolor due to conflict with colordiff package

* Sat Jul 23 2011 Jan Klepek <jan.klepek at, gmail.com> - 1.0.6-1
- New version

* Mon Mar 07 2011 Michal Fojtik <mfojtik@redhat.com> - 1.0.5-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.0.3-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.0.3-2
- Fix up documentation list
- Use gem_instdir macro where appropriate
- Do not move examples around
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.0.3-1
- Package generated by gem2rpm
- Strip useless shebangs
- Move examples into documentation
- Fix up License
